Package org.eclipse.wst.xsl.ui.internal.contentassist

## org.eclipse.wst.xsl.ui.internal.contentassist
Class CallTemplateContentAssistRequest

    public class CallTemplateContentAssistRequest
    extends org.eclipse.wst.xsl.ui.provisional.contentassist.AbstractXSLContentAssistRequest

CallTemplateContentAssistance provides content assist proposals for templates. It will provide a list of all available named templates.

## Constructor Summary

`CallTemplateContentAssistRequest(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Method Summary

`protected java.lang.String` | `getAdditionalInfo(org.eclipse.wst.xsl.core.model.Template template)`
`public java.util.ArrayList` | `getCompletionProposals()` (non-Javadoc)

## Constructor Detail

## CallTemplateContentAssistRequest

`public CallTemplateContentAssistRequest(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Methods Detail

## getAdditionalInfo

`protected java.lang.String getAdditionalInfo(org.eclipse.wst.xsl.core.model.Template template)`

### Parameters

`template`

### Returns

`java.lang.String`

## getCompletionProposals

`public java.util.ArrayList getCompletionProposals()`

(non-Javadoc)

### Returns

`java.util.ArrayList`